Name:           susepaste
Version:        0.5.3
Release:        %mkrel 5
Summary:        Simple script for using openSUSE paste easily
License:        GPLv3+
Group:          Text tools
URL:            https://susepaste.org/
Source0:        https://github.com/openSUSE/paste/archive/master/%{name}-script-%{version}.tar.gz

BuildArch:      noarch

Requires:       curl

%description
Simple script for using openSUSE paste easily.
You can paste either the file or input from stdin.

https://susepaste.org/


%package screenshot
Summary:        Simple script for pasting screenshots easily
Group:          Graphics/Utilities

BuildArch:      noarch

Requires:       wmctrl
Requires:       imagemagick
Requires:       curl

Recommends:       xclip

%description screenshot
Simple script for using openSUSE paste easily.
You can paste screenshot of the window or whole desktop.

https://susepaste.org/


%prep
%setup -q -n paste-master

%build
#nothing to do

%install
pushd script
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 0755 %{name}-screenshot %{buildroot}%{_bindir}/%{name}-screenshot
install -D -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 0644 %{name}-screenshot.1 %{buildroot}%{_mandir}/man1/%{name}-screenshot.1
install -D -m 0644 lang-mappings.sed %{buildroot}%{_datadir}/%{name}/lang-mappings.sed
popd

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/lang-mappings.sed
%{_mandir}/man1/%{name}.*

%files screenshot
%{_bindir}/%{name}-screenshot
%{_mandir}/man1/%{name}-screenshot.*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.5.3-5.mga10
+ Revision: 2202302
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.5.3-4.mga9
+ Revision: 1807671
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.3-3.mga8
+ Revision: 1501125
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.5.3-2.mga7
+ Revision: 1276623
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update to versin 0.5.3

* Mon Feb 08 2016 umeabot <umeabot> 0.5-8.mga6
+ Revision: 946203
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-7.mga5
+ Revision: 749234
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-6.mga5
+ Revision: 689625
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.5-5.mga4
+ Revision: 519422
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5-4.mga3
+ Revision: 383810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Sun Dec 02 2012 kamil <kamil> 0.5-3.mga3
+ Revision: 324794
- update Group: Graphics/Other
- rebuild for Mga3 Beta1

* Tue Dec 06 2011 kamil <kamil> 0.5-2.mga2
+ Revision: 177855
- package adopted for Mageia
- imported package susepaste


* Thu Apr 21 2011 mhrusecky@suse.cz
- updated to version 0.5
  - support for pasting with key
  - fixed infinite loop on syntax error
* Mon Jan  3 2011 mhrusecky@suse.cz
- updated to version 0.4.1
  - fixed screenshot pasting script to cleanup temporaly files
* Sat Jan  1 2011 mhrusecky@suse.cz
- updated to version 0.4
  - adding screenshot pasting script
* Mon Dec  6 2010 mhrusecky@suse.cz
- updated to version 0.3
  - support for commandline option
  - support for pasting images
  - automatic recognition of several file types
* Mon Aug 30 2010 mhrusecky@suse.cz
- adding http://paste.opensuse.org as another output
- adding man page
* Fri Jul 30 2010 mhrusecky@suse.cz
- packaged first version of the script
